This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 654012 - Wrong system locale set, causes incorrect page sizes for print queues
Wrong system locale set, causes incorrect page sizes for print queues
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-16 11:20 EST by Tim Waugh
Modified: 2013-05-12 19:24 EDT (History)
4 users (show)

See Also:
Fixed In Version: anaconda-18.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-12 19:22:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2010-11-16 11:20:14 EST
Description of problem:
When installing Fedora 14 using a United Kingdom-layout keyboard, in English, with timezone set to Europe/London, I end up with a system that has

LANG="en_US.UTF-8"

as the first line in /etc/sysconfig/i18n.  This means that when I plug in a printer, a queue is created for it using US Letter as the default page size.  The same goes for creating a CUPS queue for a network printer, for the same reason: cupsd runs in the system locale, and sets page sizes appropriately based on that.

It would be great to have the system locale set appropriately so that we can get the correct default for page sizes in print queues.
Comment 1 Chris Lumens 2010-11-17 16:29:17 EST
Locale is currently only based upon the installation language.  We don't really have any method of mapping a complex set of settings to a location.  In the future, what we may want to do is have you pick your location and then use that to default everything allowing for overrides.  For now, nothing is planned in this area.
Comment 2 Tim Waugh 2010-11-18 06:44:06 EST
Without this being fixed, most of the world gets the wrong paper size by default.
Comment 3 Chris Lumens 2012-08-03 15:27:18 EDT
I believe this should be fixed in F18 Alpha.  Please test and let us know.
Comment 4 Tim Waugh 2012-11-30 08:02:50 EST
Fixed now, yes. Thanks!
Comment 5 Fedora End Of Life 2013-04-03 16:34:06 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 6 Adam Williamson 2013-05-12 19:22:49 EDT
I'm not sure how we could possibly have magically fixed this, but I'm going to act dumb and close it out without poking the wasps' nest any further :)
Comment 7 Adam Williamson 2013-05-12 19:24:11 EDT
Oh, I see. We treat English (United Kingdom) as a language distinct from English (United States). Quite right! Apparently Canadians, Australians and every other country where English is an official language don't count, though. ;)

Note You need to log in before you can comment on or make changes to this bug.